require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersCheddar", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersBrie", true);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersJalapeno", false);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.BARBARA, "cake3Lemon", true);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", false);

SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMRome", false);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMMadrid", false);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMParis", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");